Bug 27601 - Blackscreen after an update of sddm
Summary: Blackscreen after an update of sddm
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: High major
Target Milestone: ---
Assignee: KDE maintainers
QA Contact:
URL: https://www.mageialinux-online.org/fo...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-13 11:57 CET by Jean Michel Varvou
Modified: 2021-04-22 21:53 CEST (History)
5 users (show)

See Also:
Source RPM: sddm-0.19.0-15.1.mga8.src.rpm
CVE:
Status comment: in_errata


Attachments
Screen of journalctl (823.97 KB, image/jpeg)
2020-11-13 11:58 CET, Jean Michel Varvou
Details
Result of command : journalctl -b -1 | grep sddm |tee /tmp/result_journalctl.log (3.38 KB, text/plain)
2020-12-05 15:12 CET, Jean Louis Baule
Details
Result of [root@localhost ~]# rpm -qa |grep sddm after downgrade (828 bytes, text/plain)
2020-12-05 15:19 CET, Jean Louis Baule
Details
[root@localhost ~]# rpm -qa |grep sddm sddm-0.18.1-3.mga7 sddm-kcm-5.15.4-1.mga7 [root@localhost ~]# (7.19 KB, text/plain)
2020-12-05 15:21 CET, Jean Louis Baule
Details
Résult of journalctl -b | grep sddm |tee /tmp/result_journalctl_downgrade_2.log (7.19 KB, text/plain)
2020-12-05 15:23 CET, Jean Louis Baule
Details

Description Jean Michel Varvou 2020-11-13 11:57:17 CET
Description of problem:
I report this bug for a friend. He has a ryzen 5 and use the amdgpu. 

After the last update of sddm, sddm don't start. Before, there was no problem with sddm.

journalctl show the error message :

"Could not load the Qt Platform plugin "xcb" in even in "" even though it was found.

We have implemented a workaround by installing another connection manager (lightDM). This showed that the problem did not come from the display server X11. From lightdm, he was able to connect to his plasma desktop without any problem.

Version-Release number of selected component (if applicable):
0.18.1

How reproducible:



Steps to Reproduce:
1. Install the last update of sddm
2.
3.
Comment 1 Jean Michel Varvou 2020-11-13 11:58:00 CET
Created attachment 11987 [details]
Screen of journalctl
Comment 2 Jean Louis Baule 2020-11-13 18:18:47 CET
My friend tell me to put the result of CMD lspci -v on my computer 
Here is the result
"
[root@localhost ~]# lspci -v
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Root Complex
        Subsystem: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Root Complex
        Flags: fast devsel

00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 IOMMU
        Subsystem: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 IOMMU
        Flags: bus master, fast devsel, latency 0, IRQ 25
        Capabilities: [40] Secure device <?>
        Capabilities: [64] MSI: Enable+ Count=1/4 Maskable- 64bit+
        Capabilities: [74] HyperTransport: MSI Mapping Enable+ Fixed+

00:01.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
        Flags: fast devsel

00:01.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 PCIe GPP Bridge [6:0] (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 26
        Bus: primary=00, secondary=01, subordinate=05, sec-latency=0
        I/O behind bridge: 0000f000-0000ffff [size=4K]
        Memory behind bridge: fcc00000-fcdfffff [size=2M]
        Prefetchable memory behind bridge: 00000000f0300000-00000000f03fffff [size=1M]
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Root Port (Slot+), MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [c0] Subsystem: Advanced Micro Devices, Inc. [AMD] Device 1453
        Capabilities: [c8] HyperTransport: MSI Mapping Enable+ Fixed+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [270] Secondary PCI Express <?>
        Capabilities: [370] L1 PM Substates
        Kernel driver in use: pcieport

00:01.3 PCI bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 PCIe GPP Bridge [6:0] (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 27
        Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
I/O behind bridge: None
        Memory behind bridge: fcf00000-fcffffff [size=1M]
        Prefetchable memory behind bridge: None
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Root Port (Slot+), MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [c0] Subsystem: Advanced Micro Devices, Inc. [AMD] Device 1453
        Capabilities: [c8] HyperTransport: MSI Mapping Enable+ Fixed+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [270] Secondary PCI Express <?>
        Capabilities: [370] L1 PM Substates
        Kernel driver in use: pcieport

00:08.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-1fh) PCIe Dummy Host Bridge
        Flags: fast devsel

00:08.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Internal PCIe GPP Bridge 0 to Bus A (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 28
        Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
        I/O behind bridge: 0000e000-0000efff [size=4K]
        Memory behind bridge: fc800000-fcbfffff [size=4M]
        Prefetchable memory behind bridge: 00000000e0000000-00000000f01fffff [size=258M]
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Root Port (Slot-), MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [c0] Subsystem: Advanced Micro Devices, Inc. [AMD] Device 0000
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [270] Secondary PCI Express <?>
        Kernel driver in use: pcieport

00:08.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Internal PCIe GPP Bridge 0 to Bus B (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 29
        Bus: primary=00, secondary=08, subordinate=08, sec-latency=0
        I/O behind bridge: None
Memory behind bridge: fce00000-fcefffff [size=1M]
        Prefetchable memory behind bridge: None
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Root Port (Slot-), MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [c0] Subsystem: Advanced Micro Devices, Inc. [AMD] Device 0000
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [270] Secondary PCI Express <?>
        Kernel driver in use: pcieport

00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 61)
        Subsystem: Gigabyte Technology Co., Ltd Device 5001
        Flags: 66MHz, medium devsel
        Kernel modules: i2c_piix4, sp5100_tco

00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 51)
        Subsystem: Gigabyte Technology Co., Ltd Device 5001
        Flags: bus master, 66MHz, medium devsel, latency 0

00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 0
        Flags: fast devsel

00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 1
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 2
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 3
        Flags: fast devsel
        Kernel driver in use: k10temp
        Kernel modules: k10temp

00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 4
        Flags: fast devsel

00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 5
        Flags: fast devsel

00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 6
        Flags: fast devsel

00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Raven/Raven2 Device 24: Function 7
        Flags: fast devsel

01:00.0 USB controller: Advanced Micro Devices, Inc. [AMD] 400 Series Chipset USB 3.1 XHCI Controller (rev 01) (prog-if 30 [XHCI])
        Subsystem: ASMedia Technology Inc. Device 1142
        Flags: bus master, fast devsel, latency 0, IRQ 32
        Memory at fcda0000 (64-bit, non-prefetchable) [size=32K]
        Capabilities: [50] MSI: Enable- Count=1/8 Maskable- 64bit+
        Capabilities: [68] MSI-X: Enable+ Count=8 Masked-
        Capabilities: [78] Power Management version 3
        Capabilities: [80] Express Legacy Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [200] Secondary PCI Express <?>
        Capabilities: [300] Latency Tolerance Reporting
        Capabilities: [400] L1 PM Substates
Kernel driver in use: xhci_hcd
        Kernel modules: xhci_pci

01:00.1 SATA controller: Advanced Micro Devices, Inc. [AMD] 400 Series Chipset SATA Controller (rev 01) (prog-if 01 [AHCI 1.0])
        Subsystem: ASMedia Technology Inc. Device 1062
        Flags: bus master, fast devsel, latency 0, IRQ 38
        Memory at fcd80000 (32-bit, non-prefetchable) [size=128K]
        Expansion ROM at fcd00000 [disabled] [size=512K]
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Power Management version 3
        Capabilities: [80] Express Legacy Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Kernel driver in use: ahci

01:00.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] 400 Series Chipset PCIe Bridge (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 31
        Bus: primary=01, secondary=02, subordinate=05, sec-latency=0
        I/O behind bridge: 0000f000-0000ffff [size=4K]
        Memory behind bridge: fcc00000-fccfffff [size=1M]
        Prefetchable memory behind bridge: 00000000f0300000-00000000f03fffff [size=1M]
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Power Management version 3
        Capabilities: [80] Express Upstream Port, MSI 00
        Capabilities: [c0] Subsystem: ASMedia Technology Inc. Device 0201
        Capabilities: [100] Advanced Error Reporting
        Kernel driver in use: pcieport

02:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 400 Series Chipset PCIe Port (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 33
        Bus: primary=02, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: None
        Memory behind bridge: None
        Prefetchable memory behind bridge: None
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Power Management version 3
        Capabilities: [80] Express Downstream Port (Slot+), MSI 00
        Capabilities: [c0] Subsystem: ASMedia Technology Inc. Device 3306
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [200] Secondary PCI Express <?>
        Capabilities: [400] L1 PM Substates
        Kernel driver in use: pcieport

02:01.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 400 Series Chipset PCIe Port (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 35
        Bus: primary=02, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 0000f000-0000ffff [size=4K]
        Memory behind bridge: fcc00000-fccfffff [size=1M]
        Prefetchable memory behind bridge: 00000000f0300000-00000000f03fffff [size=1M]
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Power Management version 3
        Capabilities: [80] Express Downstream Port (Slot+), MSI 00
        Capabilities: [c0] Subsystem: ASMedia Technology Inc. Device 3306
        Capabilities: [100] Advanced Error Reporting
Capabilities: [200] Secondary PCI Express <?>
        Capabilities: [400] L1 PM Substates
        Kernel driver in use: pcieport

02:04.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] 400 Series Chipset PCIe Port (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 36
        Bus: primary=02, secondary=05, subordinate=05, sec-latency=0
        I/O behind bridge: None
        Memory behind bridge: None
        Prefetchable memory behind bridge: None
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Power Management version 3
        Capabilities: [80] Express Downstream Port (Slot+), MSI 00
        Capabilities: [c0] Subsystem: ASMedia Technology Inc. Device 3306
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [200] Secondary PCI Express <?>
        Capabilities: [400] L1 PM Substates
        Kernel driver in use: pcieport

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0c)
        Subsystem: Gigabyte Technology Co., Ltd Onboard Ethernet
        Flags: bus master, fast devsel, latency 0, IRQ 34
        I/O ports at f000 [size=256]
        Memory at fcc00000 (64-bit, non-prefetchable) [size=4K]
        Memory at f0300000 (64-bit, prefetchable) [size=16K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 01
        Capabilities: [b0] MSI-X: Enable+ Count=4 Masked-
        Capabilities: [d0] Vital Product Data
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel
        Capabilities: [160] Device Serial Number 01-00-00-00-68-4c-e0-00
        Capabilities: [170] Latency Tolerance Reporting
        Kernel driver in use: r8169
        Kernel modules: r8169

06:00.0 Non-Volatile memory controller: Phison Electronics Corporation E12 NVMe Controller (rev 01) (prog-if 02 [NVM Express])
        Subsystem: Phison Electronics Corporation E12 NVMe Controller
        Flags: bus master, fast devsel, latency 0, IRQ 37, NUMA node 0
        Memory at fcf00000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [80] Express Endpoint, MSI 00
        Capabilities: [d0] MSI-X: Enable+ Count=9 Masked-
        Capabilities: [e0] MSI: Enable- Count=1/8 Maskable- 64bit+
        Capabilities: [f8] Power Management version 3
        Capabilities: [100] Latency Tolerance Reporting
        Capabilities: [110] L1 PM Substates
        Capabilities: [128] Alternative Routing-ID Interpretation (ARI)
        Capabilities: [200] Advanced Error Reporting
        Capabilities: [300] Secondary PCI Express <?>
        Kernel driver in use: nvme

07:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Picasso (rev c8) (prog-if 00 [VGA controller])
Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Picasso
        Flags: bus master, fast devsel, latency 0, IRQ 51
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at f0000000 (64-bit, prefetchable) [size=2M]
        I/O ports at e000 [size=256]
        Memory at fcb00000 (32-bit, non-prefetchable) [size=512K]
        [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [64] Express Legacy Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable- Count=1/4 Maskable- 64bit+
        Capabilities: [c0] MSI-X: Enable+ Count=3 Masked-
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [200] Resizable BAR <?>
        Capabilities: [270] Secondary PCI Express <?>
        Capabilities: [2b0] Address Translation Service (ATS)
        Capabilities: [2c0] Page Request Interface (PRI)
        Capabilities: [2d0] Process Address Space ID (PASID)
        Capabilities: [320] Latency Tolerance Reporting
        Kernel driver in use: amdgpu
        Kernel modules: amdgpu

07:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Raven/Raven2/Fenghuang HDMI/DP Audio Controller
        Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Raven/Raven2/Fenghuang HDMI/DP Audio Controller
        Flags: bus master, fast devsel, latency 0, IRQ 82
        Memory at fcb88000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [64] Express Legacy Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel

07:00.2 Encryption controller: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 10h-1fh) Platform Security Processor
        Subsystem: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 10h-1fh) Platform Security Processor
        Flags: bus master, fast devsel, latency 0, IRQ 40
        Memory at fca00000 (32-bit, non-prefetchable) [size=1M]
        Memory at fcb8c000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [64] Express Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable- Count=1/2 Maskable- 64bit+
        Capabilities: [c0] MSI-X: Enable+ Count=2 Masked-
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: ccp
        Kernel modules: ccp

07:00.3 USB controller: Advanced Micro Devices, Inc. [AMD] Raven USB 3.1 (prog-if 30 [XHCI])
        Subsystem: Gigabyte Technology Co., Ltd Device 5007
        Flags: bus master, fast devsel, latency 0, IRQ 61
        Memory at fc900000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [64] Express Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable- Count=1/8 Maskable- 64bit+
Capabilities: [c0] MSI-X: Enable+ Count=8 Masked-
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: xhci_hcd
        Kernel modules: xhci_pci

07:00.4 USB controller: Advanced Micro Devices, Inc. [AMD] Raven USB 3.1 (prog-if 30 [XHCI])
        Subsystem: Gigabyte Technology Co., Ltd Device 5007
        Flags: bus master, fast devsel, latency 0, IRQ 51
        Memory at fc800000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [64] Express Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable- Count=1/8 Maskable- 64bit+
        Capabilities: [c0] MSI-X: Enable+ Count=8 Masked-
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: xhci_hcd
        Kernel modules: xhci_pci

07:00.6 Audio device: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 10h-1fh) HD Audio Controller
        Subsystem: Gigabyte Technology Co., Ltd Device a182
        Flags: bus master, fast devsel, latency 0, IRQ 83
        Memory at fcb80000 (32-bit, non-prefetchable) [size=32K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [64] Express Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel

08:00.0 SATA controller: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] (rev 61) (prog-if 01 [AHCI 1.0])
        Subsystem: Gigabyte Technology Co., Ltd Device b002
        Flags: bus master, fast devsel, latency 0, IRQ 41
        Memory at fce00000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [64] Express Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=2/2 Maskable- 64bit+
        Capabilities: [d0] SATA HBA v1.0
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [270] Secondary PCI Express <?>
        Kernel driver in use: ahci

[root@localhost ~]# 
"

cordially

CC: (none) => jlbc

Comment 3 Aurelien Oudelet 2020-11-15 16:46:31 CET
> 07:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]
> Picasso (rev c8) (prog-if 00 [VGA controller])
> Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Picasso
>       [...]
>
>        Capabilities: [320] Latency Tolerance Reporting
>        Kernel driver in use: amdgpu
>        Kernel modules: amdgpu

The video display driver is correctly seen and charged as amdgpu.
That I don't understand is that sddm is supposedly can't start (in logs we saw Can't connect to display 0:)
But, as far as I see in forum post, a XFCE session can run well.

Have you changed /etc/X11/xorg.conf in between to get XFCE running?
How XFCE can run? From an other Display Manager? GDM? Lightdm?

CC: (none) => ouaurelien

Comment 4 Thomas Andrews 2020-11-16 20:39:20 CET
At first I thought that this bug might be a duplicate of Bug 26994, reported by me in July, but as I read more it doesn't seem so. However, I would not rule out the idea that they may be related.

CC: (none) => andrewsfarm

Comment 5 Lewis Smith 2020-11-17 22:27:07 CET
@Jean Michel
I have just tried this on my own Mageia 7 system, using
 sddm-0.18.1-3.1.mga7
logging in to Plasma. It works fine.
In case it matters, if you have 'inxi' (it is useful), please post the O/P of:
 $ inxi -G

Re the attachment comment 1:
Thank you for providing this, it was well thought out. It would have been easier (than taking, importing & interpreting a photograph) to have directed the output to a file, for example:
 $ journalctl -b | grep sddm > nimporte.txt
or
 $ journalctl -b | grep sddm | tee nimporte.txt
and attached that.

Re comment 2:
- Only the "VGA compatible controller" section was relevant;
- For large bits of evidence like this, it is better to attach them to the bug;
- If they are *very* large (not the case here), compress them first with 'xz'.

You might try downgrading from what you should have (sddm-0.18.1-3.1) to its predecessor sddm-0.18.1-3:
 # urpmi --downgrade sddm-0.18.1-3.mga7
and see whether that works as before, confirm that the update caused the problem.

(In reply to Aurelien Oudelet from comment #3)
> But, as far as I see in forum post, a XFCE session can run well.
Confusing if SDDM does not start at all.

Source RPM: sddm 0.18.1 => sddm-0.18.1-3.1.mga7.src.rpm
CC: (none) => lewyssmith

Comment 6 Aurelien Oudelet 2020-11-26 21:21:45 CET
Reporter, could you please reply to the previous question? If you don't reply within two weeks from now, I will have to close this bug as OLD. Thank you.

Keywords: (none) => NEEDINFO

Comment 7 Jean Louis Baule 2020-11-30 19:23:40 CET
Good evening, sorry for the wait, my friend Vouf being a little overbooked, we will test this next Saturday and we will post the result
cordially
Comment 8 Jean Louis Baule 2020-12-05 15:08:35 CET
Hi

It's the result of command inxi -G :
[root@localhost ~]# inxi -G
Graphics:  Device-1: AMD Picasso driver: amdgpu v: kernel 
           Display: server: Mageia X.org 1.20.9 driver: amdgpu,v4l resolution: 1920x1200~60Hz 
           OpenGL: renderer: AMD RAVEN (DRM 3.37.0 5.7.19-desktop-3.mga7 LLVM 8.0.0) v: 4.6 Mesa 20.2.3
Comment 9 Jean Louis Baule 2020-12-05 15:12:05 CET
Created attachment 12056 [details]
Result of command : journalctl -b -1 | grep sddm |tee /tmp/result_journalctl.log

Hi

We have attached the file that contain the résult of command : 
journalctl -b -1 | grep sddm |tee /tmp/result_journalctl.log

We can't use sddm because the login screen don't appear. So we have change the login manager for lightdm.
Comment 10 Jean Louis Baule 2020-12-05 15:19:44 CET
Created attachment 12057 [details]
Result of [root@localhost ~]# rpm -qa |grep sddm  after downgrade

Hi
After, urpmi --downgrade sddm-0.18.1-3.mga7
, sddm start.

We have :
[root@localhost ~]# rpm -qa |grep sddm
sddm-0.18.1-3.mga7
sddm-kcm-5.15.4-1.mga7
[root@localhost ~]#
Comment 11 Jean Louis Baule 2020-12-05 15:21:25 CET Comment hidden (obsolete)
Comment 12 Jean Louis Baule 2020-12-05 15:23:22 CET
Created attachment 12059 [details]
Résult of journalctl -b  | grep sddm |tee /tmp/result_journalctl_downgrade_2.log

Hi,

Sorry, This time, it's the good file. It's the result of journalctl for sddm after downgrade
Aurelien Oudelet 2020-12-05 18:54:24 CET

Attachment 12056 mime type: application/octet-stream => text/plain
Attachment 12056 filename: result_journalctl.log => result_journalctl.txt

Aurelien Oudelet 2020-12-05 18:54:59 CET

Attachment 12057 mime type: application/octet-stream => text/plain

Aurelien Oudelet 2020-12-05 18:55:20 CET

Attachment 12058 mime type: application/octet-stream => text/plain

Aurelien Oudelet 2020-12-05 18:55:32 CET

Attachment 12059 mime type: application/octet-stream => text/plain

Comment 13 Aurelien Oudelet 2020-12-05 19:21:45 CET
Hi, thanks for this.

sddm 0.18-1 works for you. (Log is Attachment 12059 [details])
sddm 0.18-3 is not working for your install (Log is Attachment 12056 [details]).

Same hardware, same config files, 2 different binaries. 2 results.

All I see is that sddm 0.18-3 starts with writing session cookie 1 seconde before logging the whole command: 
"Running: /usr/bin/X -nolisten tcp -auth /var/run/sddm/{9a7c4fcb-174e-4aed-aeda-4b8daf77c78f} -background none -noreset -displayfd 17 -seat seat0 vt1"

Analyzing /var/run/sddm/{WHAT EVER NUMBER} : this is a MIT-X-COOKIE with fully qualified hostname and domain.
See the attached logs:
Your computer is renamed localhost to localhost.localdomain while sddm starts.

This is why the MIT-X-COOKIE is wrong with sddm 0.18-3 because it writes "localhost" and not "localhost.localdomain".
That's why sddm-greeter can't access X server on display :0 because it can't have the right.

So. I strongly advice you to really name your computer by doing this:
As root:

# hostnamectl set-hostname xyz.local

Make sure it is the case by doing:

# more /etc/hostname
xyz.local

It must be the same as typed above.
Note that "xyz" is the name you choose, use alphabetical letters.
For example: mageia.local or m7.local...

I'm pretty sure that you can upgrade later to the latest sddm package.
Aurelien Oudelet 2020-12-05 19:21:56 CET

Keywords: NEEDINFO => (none)

Comment 14 Jean Michel Varvou 2020-12-06 11:44:26 CET
Hi Aurelien

We applied your recommendations, i.e. fixed the name of the machine of loul1933. After the reboot, everything worked... We don't necessarily understand why the problem appeared after updating the package on this machine... Thanks for the help...

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 15 Lewis Smith 2020-12-06 20:02:17 CET
(In reply to Jean Louis Baule from comment #9)
> We can't use sddm because the login screen don't appear. So we have change
> the login manager for lightdm.
Always a good idea in all circumstances!

@Aurélien : very good detective work.
Comment 16 Aurelien Oudelet 2020-12-06 20:16:14 CET
(In reply to Jean Michel Varvou from comment #14)
> Hi Aurelien
> 
> We applied your recommendations, i.e. fixed the name of the machine of
> loul1933. After the reboot, everything worked... We don't necessarily
> understand why the problem appeared after updating the package on this
> machine... Thanks for the help...

(In reply to Lewis Smith from comment #15)
> (In reply to Jean Louis Baule from comment #9)
> > We can't use sddm because the login screen don't appear. So we have change
> > the login manager for lightdm.
> Always a good idea in all circumstances!
> 
> @Aurélien : very good detective work.

Thanks all.
BTW this bug reveals security functions well but hostname shouldn't change while sddm is launching. So why a hostname change at this time? I suspect a network change like a WiFi connection established and that triggers an hostname change from localhost to localhost.localdomain as see in logs above.

The "fix" is to really name the machine by a pretty name with hostnamectl command as root. This reminds me that by default, DrakX never asks for a hostname while installing.
Comment 17 papoteur 2021-04-10 15:17:13 CEST
This bug hit also others users. 
The manual fix is a "workaround", in my sense, since a machine should not be out whatever the hostname has been set.
The problem is that the hostname is changed, surely by avahi when hostname is set to "localhost.localdomain", which is the default for most of our installations.

CC: (none) => yves.brungard_mageia
Status: RESOLVED => REOPENED
Resolution: FIXED => (none)

papoteur 2021-04-10 15:17:32 CEST

Version: 7 => 8

papoteur 2021-04-10 16:44:54 CEST

Status comment: (none) => in_errata

Comment 19 Aurelien Oudelet 2021-04-22 21:53:23 CEST
(In reply to papoteur from comment #17)
> This bug hit also others users. 
> The manual fix is a "workaround", in my sense, since a machine should not be
> out whatever the hostname has been set.
> The problem is that the hostname is changed, surely by avahi when hostname
> is set to "localhost.localdomain", which is the default for most of our
> installations.

The issue is when a transient hostname is set by a network service like avahi (zeroconf) who really need a unique hostname to be able to speak to other networked machines!

So no, the BUG is to leave networked machines with localhost name only.

But, true, XAuth is culprit here. As we have a competition/race between services that are launched simultaneously by systemd, as I previously said in Comment 13, system is knew as localhost, sddm launches, set MIT-MAGIC-COOKIE to localhost. A second later, avahi set transient hostname localhost.local, now, X Clients can't connect: they are forbidden, by wrong hostname.


The fedora patch seems try to replace XAuth by libXau, like gdm did.
This is not upstreamed.

Let's see our KDE Maintainers think.

https://bugzilla.redhat.com/show_bug.cgi?id=1370222
https://src.fedoraproject.org/rpms/sddm/c/a00fad016a22c753b1d04dfc370039a94ef6da40?branch=rawhide

Severity: normal => major
Status: REOPENED => NEW
Source RPM: sddm-0.18.1-3.1.mga7.src.rpm => sddm-0.19.0-15.1.mga8.src.rpm
Assignee: bugsquad => kde
Priority: Normal => High


Note You need to log in before you can comment on or make changes to this bug.